Intershop Customer Support

 

Information on the new Payment Service Directive 2

The new Payment Service Directive 2, which was introduced throughout Europe on September 14, 2019, also results in new guidelines for merchants. We have compiled a brief overview of Intershop's role in this and which payment connectors are affected and can be implemented.

 

04-Nov-2019
Hotfix ICM 7.7.5.19 has been released
Today, a Hotfix for the Intershop Commerce Management has been released.
The installation is recommended due to the fixation of some issues.

You will find all information on the referring Product Data Sheet:

The corresponding Intershop responsive Blueprint Store version is 2.5.19

Important Notification

Starting with version 7.6.3.16, 7.7.4.12, 7.8.2.5 of Intershop Commerce Management Intershop is using the same build configuration for a_responsive like for 7.9.0.0. That means that starting with version 1.3.15, 2.4.12, 3.2.5 of a_responsive for all builds Gradle Tools 2.11.6 are used and assemblies are now located in the multiproject. Furthermore the "Version Recommender Plugin" is used instead of the old "versioning plugin" and the source packages of the assemblies "inspired-b2c" and "inspired-b2x" are not longer separate files of a hotfix or patch delivery of the starter store.

If a new project setup is necessary, the documentation for the setup of a Continuous Integration environment is located in Cookbook - Setup CI Infrastructure.

Intershop recommends to update the Gradle Tools and all used plugins to the latest suggested versions. The dependencieses and versions are included in the build script in the root of the multiproject "a_responsive". The migration steps are described in Public Release Notes - Gradle Tools - Version 2.11.

For consuming of changes with hotfix or patch releases of a_responsive without any changes on the build configuration, it is necessary to ignore the assembly projects ('inspired_b2*') and the build configuration in the root of a_responsive. Depending on the used "versioning plugin" it is necessary to change the version of Intershop Commerce Management in the file "gradle.properties" or in the ".ivyIcm-b2?.version" for consuming the latest version of Intershop Commerce Management. In the most cases it is not necessary to take over changes from the correct assembly - b2c / b2x - build file, but if so it is necessary to merge the changes from the build file to the own assembly build file manually.


Current patch level:
  • ICM 7.10 - 7.10.15.2
  • ICM 7.9 - 7.9.4.15
  • ICM 7.8 - 7.8.4.1
  • ICM 7.7 – 7.7.5.19
  • ICM 7.6 – 7.6.4.4
  • IS 7.5 – 7.5.5.0
  • IOM 2.1 – 2.1.12.0
  • IOM 2.9 – 2.9.0.1

News Archive

Intershop Support
Knowledge Base
Product Resources
Support Tickets